umbrello: umbrello/basictypes.h File Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Enumerations | Functions | Variables
basictypes.h File Reference
`#include <QFont>`
`#include <QString>`
`#include <string>`

Go to the source code of this file.

## Classes
class | Uml::Corner

## Namespaces
namespace | Uml
namespace | Uml::ModelType
namespace | Uml::Visibility
namespace | Uml::DiagramType
namespace | Uml::AssociationType
namespace | Uml::LayoutType
namespace | Uml::ShowStereoType
namespace | Uml::SignatureType
namespace | Uml::TextRole
namespace | Uml::Changeability
namespace | Uml::SequenceMessage
namespace | Uml::RoleType
namespace | Uml::ParameterDirection
namespace | Uml::PrimitiveTypes
namespace | Uml::ProgrammingLanguage
namespace | Uml::Region
namespace | Uml::ID

## Typedefs
typedef std::string | Uml::ID::Type

## Enumerations
enum | Uml::ModelType::Enum { Uml::ModelType::Logical , Uml::ModelType::UseCase , Uml::ModelType::Component , Uml::ModelType::Deployment , Uml::ModelType::EntityRelationship , Uml::ModelType::N_MODELTYPES }
enum | Uml::Visibility::Enum { Uml::Visibility::Public , Uml::Visibility::Private , Uml::Visibility::Protected , Uml::Visibility::Implementation , Uml::Visibility::FromParent = 3 , Uml::Visibility::Unknown }
enum | Uml::DiagramType::Enum { Uml::DiagramType::Undefined = 0 , Uml::DiagramType::Class , Uml::DiagramType::UseCase , Uml::DiagramType::Sequence , Uml::DiagramType::Collaboration , Uml::DiagramType::State , Uml::DiagramType::Activity , Uml::DiagramType::Component , Uml::DiagramType::Deployment , Uml::DiagramType::EntityRelationship , Uml::DiagramType::Object , Uml::DiagramType::N_DIAGRAMTYPES }
enum | Uml::AssociationType::Enum { Uml::AssociationType::Generalization = 500 , Uml::AssociationType::Aggregation , Uml::AssociationType::Dependency , Uml::AssociationType::Association , Uml::AssociationType::Association_Self , Uml::AssociationType::Coll_Mesg_Async , Uml::AssociationType::Seq_Message , Uml::AssociationType::Coll_Mesg_Self , Uml::AssociationType::Seq_Message_Self , Uml::AssociationType::Containment , Uml::AssociationType::Composition , Uml::AssociationType::Realization , Uml::AssociationType::UniAssociation , Uml::AssociationType::Anchor , Uml::AssociationType::State , Uml::AssociationType::Activity , Uml::AssociationType::Exception , Uml::AssociationType::Category2Parent , Uml::AssociationType::Child2Category , Uml::AssociationType::Relationship , Uml::AssociationType::Coll_Mesg_Sync , Uml::AssociationType::Reserved , Uml::AssociationType::Unknown = - 1 }
enum | Uml::LayoutType::Enum { Uml::LayoutType::Undefined = 0 , Uml::LayoutType::Direct , Uml::LayoutType::Orthogonal , Uml::LayoutType::Polyline , Uml::LayoutType::Spline , Uml::LayoutType::N_LAYOUTTYPES }
enum | Uml::ShowStereoType::Enum { Uml::ShowStereoType::None = 0 , Uml::ShowStereoType::Name , Uml::ShowStereoType::Tags }
enum | Uml::SignatureType::Enum { Uml::SignatureType::NoSig = 600 , Uml::SignatureType::ShowSig , Uml::SignatureType::SigNoVis , Uml::SignatureType::NoSigNoVis }
enum | Uml::TextRole::Enum { Uml::TextRole::Floating = 700 , Uml::TextRole::MultiA , Uml::TextRole::MultiB , Uml::TextRole::Name , Uml::TextRole::Seq_Message , Uml::TextRole::Seq_Message_Self , Uml::TextRole::Coll_Message , Uml::TextRole::Coll_Message_Self , Uml::TextRole::State , Uml::TextRole::RoleAName , Uml::TextRole::RoleBName , Uml::TextRole::ChangeA , Uml::TextRole::ChangeB , Uml::TextRole::Reserved }
enum | Uml::Changeability::Enum { Uml::Changeability::Changeable = 900 , Uml::Changeability::Frozen , Uml::Changeability::AddOnly }
enum | Uml::SequenceMessage::Enum { Uml::SequenceMessage::Synchronous = 1000 , Uml::SequenceMessage::Asynchronous , Uml::SequenceMessage::Creation , Uml::SequenceMessage::Lost , Uml::SequenceMessage::Found , Uml::SequenceMessage::Destroy }
enum | Uml::RoleType::Enum { Uml::RoleType::A , Uml::RoleType::B }
enum | Uml::ParameterDirection::Enum { Uml::ParameterDirection::In , Uml::ParameterDirection::InOut , Uml::ParameterDirection::Out }
enum | Uml::PrimitiveTypes::Enum { Uml::PrimitiveTypes::String , Uml::PrimitiveTypes::Boolean , Uml::PrimitiveTypes::UnlimitedNatural , Uml::PrimitiveTypes::Integer , Uml::PrimitiveTypes::Real , Uml::PrimitiveTypes::Reserved }
enum | Uml::ProgrammingLanguage::Enum { Uml::ProgrammingLanguage::ActionScript , Uml::ProgrammingLanguage::Ada , Uml::ProgrammingLanguage::Cpp , Uml::ProgrammingLanguage::CSharp , Uml::ProgrammingLanguage::D , Uml::ProgrammingLanguage::IDL , Uml::ProgrammingLanguage::Java , Uml::ProgrammingLanguage::JavaScript , Uml::ProgrammingLanguage::MySQL , Uml::ProgrammingLanguage::Pascal , Uml::ProgrammingLanguage::Perl , Uml::ProgrammingLanguage::PHP , Uml::ProgrammingLanguage::PHP5 , Uml::ProgrammingLanguage::PostgreSQL , Uml::ProgrammingLanguage::Python , Uml::ProgrammingLanguage::Ruby , Uml::ProgrammingLanguage::SQL , Uml::ProgrammingLanguage::Tcl , Uml::ProgrammingLanguage::Vala , Uml::ProgrammingLanguage::XMLSchema , Uml::ProgrammingLanguage::Reserved }
enum | Uml::Region::Enum { Uml::Region::Error = 0 , Uml::Region::West , Uml::Region::North , Uml::Region::East , Uml::Region::South , Uml::Region::NorthWest , Uml::Region::NorthEast , Uml::Region::SouthEast , Uml::Region::SouthWest , Uml::Region::Center }

## Functions
QString | Uml::ModelType::toString (Enum item)
Enum | Uml::ModelType::fromString (const QString &item)
Enum | Uml::ModelType::fromInt (int item)
QString | Uml::Visibility::toString (Enum item, bool mnemonic)
Enum | Uml::Visibility::fromString (const QString &item, bool checkUnknown)
Enum | Uml::Visibility::fromInt (int item)
QString | Uml::DiagramType::toString (Enum item)
QString | Uml::DiagramType::toStringI18n (Enum item)
Enum | Uml::DiagramType::fromString (const QString &item)
Enum | Uml::DiagramType::fromInt (int item)
QString | Uml::AssociationType::toString (Enum item)
QString | Uml::AssociationType::toStringI18n (Enum item)
Enum | Uml::AssociationType::fromString (const QString &item)
Enum | Uml::AssociationType::fromInt (int item)
bool | Uml::AssociationType::hasUMLRepresentation (Enum item)
QString | Uml::LayoutType::toString (Enum item)
Enum | Uml::LayoutType::fromString (const QString &item)
Enum | Uml::LayoutType::fromInt (int item)
QString | Uml::SignatureType::toString (Enum item)
Enum | Uml::SignatureType::fromString (const QString &item)
Enum | Uml::SignatureType::fromInt (int item)
QString | Uml::TextRole::toString (Enum item)
Enum | Uml::TextRole::fromString (const QString &item)
Enum | Uml::TextRole::fromInt (int item)
QString | Uml::Changeability::toString (Enum item)
Enum | Uml::Changeability::fromString (const QString &item)
Enum | Uml::Changeability::fromInt (int item)
QString | Uml::SequenceMessage::toString (Enum item)
Enum | Uml::SequenceMessage::fromString (const QString &item)
Enum | Uml::SequenceMessage::fromInt (int item)
QString | Uml::RoleType::toString (Enum item)
Enum | Uml::RoleType::fromString (const QString &item)
Enum | Uml::RoleType::fromInt (int item)
QString | Uml::ParameterDirection::toString (Enum item)
Enum | Uml::ParameterDirection::fromString (const QString &item)
Enum | Uml::ParameterDirection::fromInt (int item)
QString | Uml::PrimitiveTypes::toString (Enum item)
QString | Uml::PrimitiveTypes::toString (int item)
Enum | Uml::PrimitiveTypes::fromString (const QString &item, bool strict)
Enum | Uml::PrimitiveTypes::fromInt (int item)
QString | Uml::ProgrammingLanguage::toString (Enum item)
Enum | Uml::ProgrammingLanguage::fromString (const QString &item)
Enum | Uml::ProgrammingLanguage::fromInt (int item)
QStringList | Uml::ProgrammingLanguage::toExtensions (Enum item)
QString | Uml::ProgrammingLanguage::toExtensionsDescription (Enum item)
bool | Uml::ProgrammingLanguage::isCaseSensitive (Enum item)
QString | Uml::ProgrammingLanguage::scopeSeparator (Enum item)
QString | Uml::Region::toString (Enum item)
Enum | Uml::Region::fromString (const QString &item)
Enum | Uml::Region::fromInt (int item)
QString | Uml::ID::toString (const ID::Type &id)
ID::Type | Uml::ID::fromString (const QString &id)
QDebug | Uml::ID::operator<< (QDebug out, ID::Type &type)
QFont | Uml::systemFont ()
static QString | toString (Uml::ProgrammingLanguage::Enum lang)
static QString | toString (Uml::Visibility::Enum visibility)
qreal | toDoubleFromAnyLocale (const QString &s)

## Variables
const int | Uml::PrimitiveTypes::n_types = int(Reserved)
const Type | Uml::ID::None = "-1"
| special value for uninitialized ID
const Type | Uml::ID::Reserved = "0"
| special value for illegal ID

## Function Documentation

## ◆ toDoubleFromAnyLocale()

qreal toDoubleFromAnyLocale | ( | const QString & | s | ) |

Convert floating point number string with '.' or ',' as decimal point to qreal.

Parameters

  s | floating point number string

Returns
  floating point number

Note
  See https://bugs.kde.org/show_bug.cgi?id=357373 for more informations.

## ◆ toString() [1/2]

static QString toString | ( | Uml::ProgrammingLanguage::Enum | lang | ) |
| inlinestatic

## ◆ toString() [2/2]

static QString toString | ( | Uml::Visibility::Enum | visibility | ) |
| inlinestatic